summaryrefslogtreecommitdiffstats
path: root/network/gnome-user-share
diff options
context:
space:
mode:
author Bob Funk2023-05-25 22:51:53 +0200
committer Willy Sudiarto Raharjo2023-05-27 03:08:47 +0200
commitd33905665902f42e5378e418ca53265b7a2a1e74 (patch)
treecf7da3dfd636a3a2b0fb8d822a8e3990025fc4ac /network/gnome-user-share
parenta6ff79fad321124e4a2f442af07433ba2741537e (diff)
downloadslackbuilds-d33905665902f42e5378e418ca53265b7a2a1e74.tar.gz
network/gnome-user-share: Added (User level file sharing)
Signed-off-by: bedlam <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network/gnome-user-share')
-rw-r--r--network/gnome-user-share/README22
-rw-r--r--network/gnome-user-share/doinst.sh10
-rw-r--r--network/gnome-user-share/gnome-user-share.SlackBuild114
-rw-r--r--network/gnome-user-share/gnome-user-share.info10
-rw-r--r--network/gnome-user-share/slack-desc19
5 files changed, 175 insertions, 0 deletions
diff --git a/network/gnome-user-share/README b/network/gnome-user-share/README
new file mode 100644
index 0000000000..b153632230
--- /dev/null
+++ b/network/gnome-user-share/README
@@ -0,0 +1,22 @@
+gnome-user-share is a small package that binds together various free
+software projects to bring easy to use user-level file sharing to the
+masses.
+
+The program is meant to run in the background when the user is logged
+in, and when file sharing is enabled a webdav server is started that
+shares the $HOME/Public folder. The share is then published to all
+computers on the local network using mDNS/rendezvous, so that it shows
+up in the Network location in Gnome.
+
+The dav server used is apache, so you need that installed. Avahi or
+Howl is used for mDNS support, so you need to have that installed and
+mDNSResolver running.
+
+Note: On Slackware the gnome-user-share daemon must be started and
+stopped manually. There are controls to start/stop the daemon in the
+gnome-control-center "Sharing" panel, but these controls are hard-coded
+to talk to systemd and will not start/stop the daemon. Instead, the
+daemon can be run directly from its installed path of:
+
+ /usr/libexec/gnome-user-share-webdav
+
diff --git a/network/gnome-user-share/doinst.sh b/network/gnome-user-share/doinst.sh
new file mode 100644
index 0000000000..f6a6676883
--- /dev/null
+++ b/network/gnome-user-share/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/glib-2.0/schemas ]; then
+ if [ -x /usr/bin/glib-compile-schemas ]; then
+ /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas >/dev/null 2>&1
+ fi
+fi
+
diff --git a/network/gnome-user-share/gnome-user-share.SlackBuild b/network/gnome-user-share/gnome-user-share.SlackBuild
new file mode 100644
index 0000000000..a4980fdf6e
--- /dev/null
+++ b/network/gnome-user-share/gnome-user-share.SlackBuild
@@ -0,0 +1,114 @@
+#!/bin/bash
+
+# Slackware build script for gnome-user-share
+
+# Copyright 2023, Bob Funk, Winnipeg Canada
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=gnome-user-share
+VERSION=${VERSION:-3.34.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir build
+cd build
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ meson .. \
+ --buildtype=release \
+ --infodir=/usr/info \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ -Dsystemduserunitdir=no \
+ -Dmodules_path=/usr/lib${LIBDIRSUFFIX}/httpd/modules \
+ -Dstrip=true
+ "${NINJA:=ninja}"
+ DESTDIR=$PKG $NINJA install
+cd ..
+
+#rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING ChangeLog.pre-git MAINTAINERS NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/network/gnome-user-share/gnome-user-share.info b/network/gnome-user-share/gnome-user-share.info
new file mode 100644
index 0000000000..e543dc1adb
--- /dev/null
+++ b/network/gnome-user-share/gnome-user-share.info
@@ -0,0 +1,10 @@
+PRGNAM="gnome-user-share"
+VERSION="3.34.0"
+HOMEPAGE="https://gitlab.gnome.org/GNOME/gnome-user-share"
+DOWNLOAD="https://download.gnome.org/core/41/41.8/sources/gnome-user-share-3.34.0.tar.xz"
+MD5SUM="a3d983d0cf8357832229ff96172418d8"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="nautilus mod_dnssd"
+MAINTAINER="Bob Funk"
+EMAIL="bobfunk11@gmail.com"
diff --git a/network/gnome-user-share/slack-desc b/network/gnome-user-share/slack-desc
new file mode 100644
index 0000000000..0c7548433c
--- /dev/null
+++ b/network/gnome-user-share/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+gnome-user-share: gnome-user-share (User level file sharing)
+gnome-user-share:
+gnome-user-share: gnome-user-share is a small package that binds together various free
+gnome-user-share: software projects to bring easy to use user-level file sharing to the
+gnome-user-share: masses.
+gnome-user-share:
+gnome-user-share: This is part of the GNOME core distribution.
+gnome-user-share:
+gnome-user-share:
+gnome-user-share: https://gitlab.gnome.org/GNOME/gnome-user-share
+gnome-user-share: